Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.configuration.deegree
Class CRSParser_0_1_0

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.crs.configuration.resources.XMLFileResource
              org.deegree.crs.configuration.deegree.CRSParser
                  org.deegree.crs.configuration.deegree.CRSParser_0_1_0

All Implemented Interfaces:
  Serializable, CRSResource<Element>, XMLResource, XLinkResolver<Element>

    public class CRSParser_0_1_0

extends CRSParser

The `CRSParser_0_1_0` class TODO add class documentation here.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`CRSParser_0_1_0(DeegreeCRSProvider provider, Properties properties)`
`CRSParser_0_1_0(DeegreeCRSProvider provider, Properties properties, Element rootElement)` Another constructor, which is used for the automatic loading of the crs definitions file 0_1_0.

Method Summary

Methods inherited from class org.deegree.crs.configuration.deegree.CRSParser
`checkForUniqueness, getConversionInfoFromID, getEllipsoidFromID, getGeodeticDatumFromID, getPrimeMeridianFromID, getTransformation, getTransformation, getURIAsType, getVersion, getWGS84Transformation, parseAlternativeTransformations, parseAxisOrder, parseCompoundCRS, parseCoordinateSystem, parseGeocentricCRS, parseGeographicCRS, parseIdentifiable, parseIdentifiableObject, parseProjectedCRS, parseProjection, parseReferencedGeodeticDatum, parseTransformation, parseUnit`

Methods inherited from class org.deegree.crs.configuration.resources.XMLFileResource
`getProvider`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRSParser_0_1_0

    public CRSParser_0_1_0(DeegreeCRSProvider provider,
                           Properties properties,
                           Element rootElement)

  Another constructor, which is used for the automatic loading of the crs definitions file 0_1_0.

  Parameters:
    `provider` - to be used for callback.
    `properties` -
    `rootElement` - to be used as configuration backend.

### CRSParser_0_1_0

    public CRSParser_0_1_0(DeegreeCRSProvider provider,
                           Properties properties)

Parameters:
  `provider` -
  `properties` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org